Subject: [Taps] TAPS WGLC: draft-ietf-taps-transports-08 - ends Dec 31

From: Aaron Falk <[email-masked]>
Date: Tue, 8 Dec 2015 09:02:55 -0500

This email announces a TAPS Working Group Last Call (WGLC) on:

        Services provided by IETF transport protocols and congestion
control mechanisms
        draft-ietf-taps-transports-08.txt
<https://datatracker.ietf.org/doc/draft-ietf-taps-transports/>

Due to the timing (many people take time off during the December holidays),
this WGLC will run for slightly longer than usual - it will be for just
over 3 weeks, ending at midnight US Eastern (daylight) Time on Thursday,
December 31st.  Comments should be sent to the [email-masked] list, although
purely editorial comments may be sent directly to the authors (
[email-masked]).

We're looking for at least a couple more reviews during WGLC - please email
the chair ([email-masked]) if you're interested and willing to review
this draft (otherwise, we'll have to go "beat the bushes" for reviewers).

Thanks,

--aaron

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 9 Dec 2015 13:24:23 +0000

I think the abstract could better describe the actual content of the document, e.g., with a sentence like “… surveys, classifies and compares the protocol mechanisms …”. It could also list the protocols that are in scope of the document, or it could borrow other text from Section 1. It is not clear to me what a reader could learn from the statement “… to inform the work of the IETF TAPS Working Group”, in particular in a couple of years from now when the WG may not exist any more.

In Section 4.1, it may be better to refer to RFC 7414 instead of RFC 4614. Also, I think it would be appropriate to better emphasize that the section just gives an overview of TCP and is not intended to be a comprehensive description.

Michael

From: Taps [mailto:[email-masked]] On Behalf Of Aaron Falk
Sent: Tuesday, December 08, 2015 3:03 PM
To: [email-masked]
Subject: [Taps] TAPS WGLC: draft-ietf-taps-transports-08 - ends Dec 31

        Services provided by IETF transport protocols and congestion control mechanisms
        draft-ietf-taps-transports-08.txt<https://datatracker.ietf.org/doc/draft-ietf-taps-transports/>

Due to the timing (many people take time off during the December holidays), this WGLC will run for slightly longer than usual - it will be for just over 3 weeks, ending at midnight US Eastern (daylight) Time on Thursday, December 31st.  Comments should be sent to the [email-masked]<mailto:[email-masked]> list, although purely editorial comments may be sent directly to the authors ([email-masked]<mailto:[email-masked]>).

We're looking for at least a couple more reviews during WGLC - please email the chair ([email-masked]<mailto:[email-masked]>) if you're interested and willing to review this draft (otherwise, we'll have to go "beat the bushes" for reviewers).

Thanks,

--aaron

---

From: Brian Trammell <[email-masked]>
Date: Thu, 10 Dec 2015 10:26:59 +0100

hi Michael,

thanks for your review and comments! Commentcomments inline

> On 09 Dec 2015, at 14:24, Scharf, Michael (Michael) <[email-masked]> wrote:
> 
> I think the abstract could better describe the actual content of the document, e.g., with a sentence like “… surveys, classifies and compares the protocol mechanisms …”.

Presuming we'll roll an -09 with WGLC comments, yes, agree fully and have made the change in the working copy (https://github.com/britram/taps-transports/draft-ietf-taps-transports.md).

> It could also list the protocols that are in scope of the document, or it could borrow other text from Section 1.

I think I'd prefer to list the protocols. Done.

> It is not clear to me what a reader could learn from the statement “… to inform the work of the IETF TAPS Working Group”, in particular in a couple of years from now when the WG may not exist any more.

This was also, I think, originally intended to be pulled out before publication. Cut.

>  In Section 4.1, it may be better to refer to RFC 7414 instead of RFC 4614.

Yep, oops.

> Also, I think it would be appropriate to better emphasize that the section just gives an overview of TCP and is not intended to be a comprehensive description.

Done in first para.

Thanks again, cheers,

Brian

> Due to the timing (many people take time off during the December holidays), this WGLC will run for slightly longer than usual - it will be for just over 3 weeks, ending at midnight US Eastern (daylight) Time on Thursday, December 31st.  Comments should be sent to the [email-masked] list, although purely editorial comments may be sent directly to the authors ([email-masked]).
> 
> We're looking for at least a couple more reviews during WGLC - please email the chair ([email-masked]) if you're interested and willing to review this draft (otherwise, we'll have to go "beat the bushes" for reviewers).
> 
> Thanks,
> 
> --aaron
> _______________________________________________
> Taps mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/taps

---

From: Aaron Falk <[email-masked]>
Date: Tue, 29 Dec 2015 12:22:34 -0500

Reminder: WGLC on this doc ends this week.  Please read the current rev and
send comments -- pro or con -- to this list.

--aaron

On Tue, Dec 8, 2015 at 9:02 AM, Aaron Falk <[email-masked]> wrote:

> Due to the timing (many people take time off during the December
> holidays), this WGLC will run for slightly longer than usual - it will be
> for just over 3 weeks, ending at midnight US Eastern (daylight) Time on
> Thursday, December 31st.  Comments should be sent to the [email-masked]
>  list, although purely editorial comments may be sent directly to the
> authors ([email-masked]).
>
> We're looking for at least a couple more reviews during WGLC - please
> email the chair ([email-masked]) if you're interested and willing
> to review this draft (otherwise, we'll have to go "beat the bushes" for
> reviewers).
>
> Thanks,
>
> --aaron
>

---

From: Colin Perkins <[email-masked]>
Date: Thu, 31 Dec 2015 15:06:34 +0000

Hi,

This draft is in good shape. Some quick comments, that are almost entirely editorial:

1, 2nd paragraph: RTP can also run over DCCP, TLS, and DTLS.

4.1.1: “described further in Section 3.1 below” – but section 3.1 is above in the document.

4.3 (SCTP): “It is therefore deployed in all Web browsers supporting WebRTC” – actually, a slightly restricted subset of SCTP tunnelled over DTLS over UDP is part of WebRTC.

4.6.2: editorial - list formatting is messed up

4.8.1: the correct expansion of RTCP is “RTP control protocol”, not “ Real Time Control Protocol”

4.8.1: “The RFC-series specifies RTP media formats” should be “…RTP payload formats”

4.8.1: “RTP sender and receiver can send RTCP report packets.” – actually, “…will send…”

4.8.2: “multicast, anycast or IPv4 broadcast” – not sure broadcast makes sense, and isn’t anycast just a variation on unicast? (i.e., RTP is no more anycast than is TCP)

5: RTP is not mentioned in the bullet lists of transport service features - should it be?

8: my name is mis-spelt in the bullet on section 4.8

Colin

> On 29 Dec 2015, at 17:22, Aaron Falk <[email-masked]> wrote:
> 
> Reminder: WGLC on this doc ends this week.  Please read the current rev and send comments -- pro or con -- to this list.
> 
> --aaron
> 
> On Tue, Dec 8, 2015 at 9:02 AM, Aaron Falk <[email-masked] <mailto:[email-masked]>> wrote:
>         draft-ietf-taps-transports-08.txt <https://datatracker.ietf.org/doc/draft-ietf-taps-transports/>
> 
> Due to the timing (many people take time off during the December holidays), this WGLC will run for slightly longer than usual - it will be for just over 3 weeks, ending at midnight US Eastern (daylight) Time on Thursday, December 31st.  Comments should be sent to the [email-masked] <mailto:[email-masked]> list, although purely editorial comments may be sent directly to the authors ([email-masked] <mailto:[email-masked]>).
> 
> We're looking for at least a couple more reviews during WGLC - please email the chair ([email-masked] <mailto:[email-masked]>) if you're interested and willing to review this draft (otherwise, we'll have to go "beat the bushes" for reviewers).
> 
> Thanks, 
> 
> --aaron
> 

-- 
Colin Perkins
https://csperkins.org/

---

From: [email-masked]
Date: Thu, 31 Dec 2015 15:26:47 -0000

I think these should be incorporated, thanks Colin, we'll prepare an update.

Gorry

P.S. Sorry your name was misspelt.

> 4.3 (SCTP): “It is therefore deployed in all Web browsers supporting
> WebRTC” – actually, a slightly restricted subset of SCTP tunnelled
> over DTLS over UDP is part of WebRTC.
>
> 4.8.2: “multicast, anycast or IPv4 broadcast” – not sure broadcast
> makes sense, and isn’t anycast just a variation on unicast? (i.e., RTP
> is no more anycast than is TCP)
>
>> Reminder: WGLC on this doc ends this week.  Please read the current rev
>> and send comments -- pro or con -- to this list.
>>
>> --aaron
>>
>> holidays), this WGLC will run for slightly longer than usual - it will
>> be for just over 3 weeks, ending at midnight US Eastern (daylight) Time
>> on Thursday, December 31st.  Comments should be sent to the
>> [email-masked] <mailto:[email-masked]> list, although purely editorial
>> comments may be sent directly to the authors
>> ([email-masked]
>> <mailto:[email-masked]>).
>>
>> email the chair ([email-masked] <mailto:[email-masked]>) if
>> you're interested and willing to review this draft (otherwise, we'll
>> have to go "beat the bushes" for reviewers).
>>
>> Thanks,
>>
>> --aaron
>>